Index: /branches/OMEdit/OMEditGUI/ModelWidgetContainer.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/ModelWidgetContainer.cpp	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/ModelWidgetContainer.cpp	(revision 13537)
@@ -1320,109 +780,4 @@
 }
 
-void GraphicsView::createConnection(Component *pStartComponent, QString startIconCompName, Component *pComponent, QString endIconCompName)
-{
-  MainWindow *pMainWindow = mpModelWidget->getModelWidgetContainer()->getMainWindow();
-  // If both components are same
-  if (pStartComponent == pComponent)
-  {
-    removeConnector();
-    pMainWindow->getProblemsWidget()->addGUIProblem(new ProblemItem("", false, 0, 0, 0, 0,
-                                                                    GUIMessages::getMessage(GUIMessages::SAME_COMPONENT_CONNECT),
-                                                                    Helper::scriptingKind, Helper::errorLevel, 0,
-                                                                    pMainWindow->getProblemsWidget()->mpProblem));
-  }
-  else
-  {
-    if (pMainWindow->getOMCProxy()->addConnection(startIconCompName, endIconCompName, mpModelWidget->getLibraryTreeNode()->getNameStructure(), ""))
-    {
-      // Check if both components connected are compatible or not.
-      if (pMainWindow->getOMCProxy()->instantiateModelSucceeds(mpModelWidget->getLibraryTreeNode()->getNameStructure()))
-      {
-        mIsCreatingConnection = false;
-        QPointF newPos = pComponent->mapToScene(pComponent->boundingRect().center());
-        mpConnector->updateEndPoint(newPos);
-        if (pComponent->getParentComponent())
-          pComponent->getParentComponent()->addConnector(mpConnector);
-        else
-          pComponent->addConnector(mpConnector);
-        mpConnector->setEndComponent(pComponent);
-        // update the last point to the center of component
-        mpConnector->updateEndPoint(pComponent->boundingRect().center());
-        mpConnector->drawConnector(false);
-        mConnectorsVector.append(mpConnector);
-        // add the connection annotation to OMC
-        mpConnector->updateConnectionAnnotationString();
-        mpModelWidget->getModelicaTextWidget()->getModelicaTextEdit()->setPlainText(pMainWindow->getOMCProxy()->list(mpModelWidget->getLibraryTreeNode()->getNameStructure()));
-      }
-      else
-      {
-        removeConnector();
-        // since this is an on purpose connection delete so dont make model unsaved :)
-        // so to avoid model unsaving we have to blovk signals of Modelica editor
-        mpModelWidget->getModelicaTextWidget()->blockSignals(true);
-        // remove the connection from model
-        pMainWindow->getOMCProxy()->deleteConnection(startIconCompName, endIconCompName, mpModelWidget->getLibraryTreeNode()->getNameStructure());
-        mpModelWidget->getModelicaTextWidget()->blockSignals(false);
-      }
-    }
-  }
-}
-//add connector function in case atleast one port is an array
-//! @param pStartComponent is
-void GraphicsView::addConnectorForArray(Component *pStartComponent,Component *pEndComponent ,int startindex , int endindex)
-{
-  //if user pressed cancel in the array menu, remove the connection
-  if(startindex==-1 && endindex==-1)
-  {
-    removeConnector();
-  }
-
-  else
-  {
-    QString startIndexStr = QString::number(startindex);
-    QString endIndexStr = QString::number(endindex);
-    mpConnector->mpConnectorArrayMenu->setStartConnectorIndex(startIndexStr);
-    mpConnector->mpConnectorArrayMenu->setEndConnectorIndex(endIndexStr);
-    QString startIconName, startIconCompName, endIconName, endIconCompName;
-    // appending the indices if it is an array of connectors;
-    if (pStartComponent->getParentComponent())
-    {
-      startIconName = QString(pStartComponent->getParentComponent()->getName()).append(".");
-      if(!mpConnector->getStartConnectorisArray())
-        startIconCompName = pStartComponent->getComponentInfo()->getName();
-      else
-        startIconCompName = pStartComponent->getComponentInfo()->getName() + "[" + mpConnector->mpConnectorArrayMenu->getStartConnectorIndex() + "]";
-    }
-    else
-    {
-      if(!mpConnector->getStartConnectorisArray())
-        startIconCompName = pStartComponent->getName();
-      else
-        startIconCompName = pStartComponent->getName() + "[" + startIndexStr + "]";
-    }
-
-    if (pEndComponent->getParentComponent())
-    {
-      endIconName = QString(pEndComponent->getParentComponent()->getName()).append(".");
-      if(!mpConnector->getEndConnectorisArray())
-        endIconCompName = pEndComponent->getComponentInfo()->getName();
-      else
-        endIconCompName = pEndComponent->getComponentInfo()->getName() + "[" + mpConnector->mpConnectorArrayMenu->getEndConnectorIndex() + "]";
-    }
-    else
-    {
-
-      if(!mpConnector->getEndConnectorisArray())
-        endIconCompName = pEndComponent->getName();
-      else
-        endIconCompName = pEndComponent->getName() + "[" + endIndexStr + "]";
-    }
-
-    createConnection(pStartComponent, QString(startIconName).append(startIconCompName),
-                     pEndComponent, QString(endIconName).append(endIconCompName));
-
-  }
-}
-
 //! Removes the current connecting connector from the model.
 void GraphicsView::removeConnection()
@@ -1452,34 +807,7 @@
 }
 
-//! Removes the current connecting connector from the model.
-void GraphicsView::removeConnector()
-{
-  if (mIsCreatingConnection)
-  {
-    scene()->removeItem(mpConnector);
-    delete mpConnector;
-    mIsCreatingConnection = false;
-  }
-  else
-  {
-    int i = 0;
-    while(i != mConnectorsVector.size())
-    {
-      if(mConnectorsVector[i]->isActive())
-      {
-        removeConnector(mConnectorsVector[i]);
-        i = 0;   //Restart iteration if map has changed
-      }
-      else
-      {
-        ++i;
-      }
-    }
-  }
-}
-
 //! Removes the connector from the model.
 //! @param pConnector is a pointer to the connector to remove.
-void GraphicsView::removeConnection(LineAnnotation_OMC *pConnection)
+void GraphicsView::removeConnection(LineAnnotation *pConnection)
 {
   bool doDelete = false;
@@ -1496,85 +824,10 @@
   if (doDelete)
   {
-    // If GUI delete is successful then remove the connection from omc as well.
-    QString startComponentName, endComponentName;
-    Component_OMC *pStartComponent, *pEndComponent;
-    pStartComponent = pConnection->getStartComponent();
-    pEndComponent = pConnection->getEndComponent();
-    if (pStartComponent->getParentComponent())
-      startComponentName = QString(pStartComponent->getParentComponent()->getName()).append(".").append(pStartComponent->getComponentInfo()->getName());
-    else
-      startComponentName = pStartComponent->getName();
-    if (pEndComponent->getParentComponent())
-      endComponentName = QString(pEndComponent->getParentComponent()->getName()).append(".").append(pEndComponent->getComponentInfo()->getName());
-    else
-      endComponentName = pEndComponent->getName();
-    // delete Connection
-    deleteConnection(startComponentName, endComponentName);
+    // If GUI delete is successful then delete the connection from omc as well.
+    deleteConnection(pConnection->getStartComponentName(), pConnection->getEndComponentName());
     // delete the connector object
     pConnection->deleteLater();
     // remove connector object from local connector vector
     mConnectionsList.removeAt(i);
-  }
-}
-
-//! Removes the connector from the model.
-//! @param pConnector is a pointer to the connector to remove.
-void GraphicsView::removeConnector(Connector *pConnector, bool update)
-{
-  bool doDelete = false;
-  int i;
-
-  for(i = 0; i != mConnectorsVector.size(); ++i)
-  {
-    if(mConnectorsVector[i] == pConnector)
-    {
-      scene()->removeItem(pConnector);
-      doDelete = true;
-      break;
-    }
-    if(mConnectorsVector.empty())
-      break;
-  }
-  if (doDelete)
-  {
-    // If GUI delete is successful then remove the connection from omc as well.
-    QString startIconName, startIconCompName, endIconName, endIconCompName;
-    if (pConnector->getStartComponent()->getParentComponent())
-    {
-      startIconName = QString(pConnector->getStartComponent()->getParentComponent()->getName()).append(".");
-      if(!pConnector->getStartConnectorisArray())
-        startIconCompName =pConnector->getStartComponent()->getComponentInfo()->getName();
-      else
-        startIconCompName = pConnector->getStartComponent()->getComponentInfo()->getName() + "[" + pConnector->mpConnectorArrayMenu->getStartConnectorIndex() + "]";
-    }
-    else
-    {
-      startIconCompName = pConnector->getStartComponent()->getName();
-      if(!pConnector->getStartConnectorisArray())
-        startIconCompName =pConnector->getStartComponent()->getName();
-      else
-        startIconCompName = pConnector->getStartComponent()->getName() + "[" + pConnector->mpConnectorArrayMenu->getStartConnectorIndex() + "]";
-    }
-    if (pConnector->getEndComponent()->getParentComponent())
-    {
-      endIconName = QString(pConnector->getEndComponent()->getParentComponent()->getName()).append(".");
-      if(!pConnector->getEndConnectorisArray())
-        endIconCompName = pConnector->getEndComponent()->getComponentInfo()->getName();
-      else
-        endIconCompName = pConnector->getEndComponent()->getComponentInfo()->getName() + "[" + pConnector->mpConnectorArrayMenu->getEndConnectorIndex() + "]";
-    }
-    else
-    {
-      if(!pConnector->getEndConnectorisArray())
-        endIconCompName = pConnector->getEndComponent()->getName();
-      else
-        endIconCompName = pConnector->getEndComponent()->getName() + "[" + pConnector->mpConnectorArrayMenu->getEndConnectorIndex() + "]";
-    }
-    // delete Connection
-    //deleteConnection(QString(startIconName).append(startIconCompName), QString(endIconName).append(endIconCompName), update);
-    // delete the connector object
-    delete pConnector;
-    // remove connector object from local connector vector
-    mConnectorsVector.remove(i);
   }
 }
@@ -1629,22 +882,7 @@
 {
   //Select all components
-  foreach (Component_OMC *pComponent, mComponents_OMCList)
+  foreach (Component *pComponent, mComponentsList)
   {
     pComponent->setSelected(true);
-  }
-  // Select all connectors
-  foreach (Connector *connector, mConnectorsVector)
-  {
-    // just make one line of connector selected, it will make the whole connector selected
-    foreach (ConnectorLine *connectorLine, connector->mpLines)
-    {
-      connectorLine->setSelected(true);
-      break;
-    }
-  }
-  // select all shapes like line, rectangle, polygon etc...
-  foreach (ShapeAnnotation *pShape, mShapesList)
-  {
-    pShape->setSelected(true);
   }
 }
@@ -1685,16 +923,16 @@
   annotationString.append(", grid=").append("{").append(QString::number(grid.x())).append(", ").append(QString::number(grid.y())).append("})");
   // add the graphics annotations
-  if (mShapesList.size() > 0)
-  {
-    annotationString.append(", graphics={");
-    foreach (ShapeAnnotation *shape, mShapesList)
-    {
-      annotationString.append(shape->getShapeAnnotation());
-      if (counter < mShapesList.size() - 1)
-        annotationString.append(",");
-      counter++;
-    }
-    annotationString.append("}");
-  }
+//  if (mShapesList.size() > 0)
+//  {
+//    annotationString.append(", graphics={");
+//    foreach (ShapeAnnotation *shape, mShapesList)
+//    {
+//      annotationString.append(shape->getShapeAnnotation());
+//      if (counter < mShapesList.size() - 1)
+//        annotationString.append(",");
+//      counter++;
+//    }
+//    annotationString.append("}");
+//  }
   annotationString.append(")");
 
@@ -1885,4 +1123,5 @@
   mpLatestNewsLabel = new Label(tr("Latest News"));
   mpLatestNewsLabel->setFont(QFont("", Helper::headingFontSize));
+  mpNoLatestNewsLabel = new Label;
   mpLatestNewsListWidget = new QListWidget;
   mpLatestNewsListWidget->setObjectName("LatestNewsList");
@@ -1894,4 +1133,6 @@
   mpLatestNewsListWidget->setIconSize(Helper::iconSize);
   mpLatestNewsListWidget->setCurrentRow(0, QItemSelectionModel::Select);
+  mpReloadLatestNewsButton = new QPushButton(tr("Reload"));
+  connect(mpReloadLatestNewsButton, SIGNAL(clicked()), SLOT(addLatestNewsListItems()));
   mpVisitWebsiteLabel = new Label(tr("For more details visit our website <u><a href=\"www.openmodelica.org\">www.openmodelica.org</a></u>"));
   mpVisitWebsiteLabel->setTextFormat(Qt::RichText);
@@ -1900,9 +1141,13 @@
   connect(mpLatestNewsListWidget, SIGNAL(itemClicked(QListWidgetItem*)), SLOT(openLatestNewsItem(QListWidgetItem*)));
   // Latest News Frame layout
-  QVBoxLayout *latestNewsFrameLayout = new QVBoxLayout;
-  latestNewsFrameLayout->addWidget(mpLatestNewsLabel);
-  latestNewsFrameLayout->addWidget(mpLatestNewsListWidget);
-  latestNewsFrameLayout->addWidget(mpVisitWebsiteLabel, 0 , Qt::AlignRight);
-  mpLatestNewsFrame->setLayout(latestNewsFrameLayout);
+  QVBoxLayout *latestNewsFrameVBLayout = new QVBoxLayout;
+  latestNewsFrameVBLayout->addWidget(mpLatestNewsLabel);
+  latestNewsFrameVBLayout->addWidget(mpNoLatestNewsLabel);
+  latestNewsFrameVBLayout->addWidget(mpLatestNewsListWidget);
+  QHBoxLayout *latestNewsFrameHBLayout = new QHBoxLayout;
+  latestNewsFrameHBLayout->addWidget(mpReloadLatestNewsButton, 0, Qt::AlignLeft);
+  latestNewsFrameHBLayout->addWidget(mpVisitWebsiteLabel, 0, Qt::AlignRight);
+  latestNewsFrameVBLayout->addLayout(latestNewsFrameHBLayout);
+  mpLatestNewsFrame->setLayout(latestNewsFrameVBLayout);
   // create http object for request
   mpLatestNewsNetworkAccessManager = new QNetworkAccessManager;
@@ -1982,5 +1227,10 @@
 void WelcomePageWidget::readLatestNewsXML(QNetworkReply *pNetworkReply)
 {
-  if (pNetworkReply->error() == QNetworkReply::NoError)
+  if (pNetworkReply->error() == QNetworkReply::HostNotFoundError)
+  {
+    mpNoLatestNewsLabel->setVisible(true);
+    mpNoLatestNewsLabel->setText(tr("Sorry, no internet no news items."));
+  }
+  else if (pNetworkReply->error() == QNetworkReply::NoError)
   {
     QByteArray response(pNetworkReply->readAll());
@@ -1990,4 +1240,5 @@
     while (!xml.atEnd())
     {
+      mpNoLatestNewsLabel->setVisible(false);
       xml.readNext();
       if (xml.tokenType() == QXmlStreamReader::StartElement)
@@ -2021,4 +1272,9 @@
         break;
     }
+  }
+  else
+  {
+    mpNoLatestNewsLabel->setVisible(true);
+    mpNoLatestNewsLabel->setText(QString(Helper::error).append(" - ").append(pNetworkReply->errorString()));
   }
 }
@@ -2150,7 +1406,6 @@
   else
   {
-    getModelComponents(getLibraryTreeNode()->getNameStructure());
-    getModelConnections();
-    getModelIconDiagram();
+//    getModelComponents(getLibraryTreeNode()->getNameStructure());
+//    getModelIconDiagram();
   }
   mpIconGraphicsScene->clearSelection();
